select
  pr.numero as numero_produto
  , pr.nome as nome_produto
  , (select saldo from sp_customedio(current_date, pr.cdproduto)) as saldo_atual
  , pr.minimoestoque as estoque_minimo
  , cast((case when ((select saldo from sp_customedio(current_date, pr.cdproduto)) > 0) then
       (select customedio from sp_customedio(current_date, pr.cdproduto)) else 0 end) as decimal(15,2)) as valor_medio_unitario
  , cast(((select saldo from sp_customedio(current_date, pr.cdproduto)) *
        (select customedio from sp_customedio(current_date, pr.cdproduto))) as decimal(15,2)) as valor_total
from
  produto pr
where
  pr.estocavel = 1
order by
  pr.nome
